# PhasicFlow: shapeMixture Class Reference

shapeMixture Class Reference
Collaboration diagram for shapeMixture:
[legend]

## Public Member Functions

| TypeInfoNV ("shapeMixture")
| shapeMixture (const dictionary &dict)
| shapeMixture (const shapeMixture &)=default
| shapeMixture (shapeMixture &&)=default
shapeMixture & | operator= (const shapeMixture &)=default
shapeMixture & | operator= (shapeMixture &&)=default
uniquePtr< shapeMixture > | clone () const
shapeMixture * | clonePtr () const
| ~shapeMixture ()=default
word | getNextShapeName ()
void | getNextShapeNameN (size_t n, wordVector &names)
auto | size () const
auto | totalInserted () const
bool | read (const dictionary &dict)
bool | write (dictionary &dict) const

## Protected Attributes

wordVector | names_
uint32Vector | number_
uint32Vector | numberInserted_
uint32Vector | current_

## Detailed Description

Definition at line 32 of file shapeMixture.hpp.

## Constructor & Destructor Documentation

## shapeMixture() [1/3]

shapeMixture | ( | const dictionary & | dict | ) |

Definition at line 27 of file shapeMixture.cpp.

References fatalExit.

Referenced by shapeMixture::clonePtr().

Here is the caller graph for this function:

## shapeMixture() [2/3]

shapeMixture | ( | const shapeMixture & |  | ) |

default

## shapeMixture() [3/3]

shapeMixture | ( | shapeMixture && |  | ) |

default

## ~shapeMixture()

~shapeMixture | ( |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "shapeMixture" |  | ) |

## operator=() [1/2]

shapeMixture& operator= | ( | const shapeMixture & |  | ) |

default

## operator=() [2/2]

shapeMixture& operator= | ( | shapeMixture && |  | ) |

default

## clone()

uniquePtr<shapeMixture> clone | ( |  | ) | const

inline

Definition at line 66 of file shapeMixture.hpp.

## clonePtr()

shapeMixture* clonePtr | ( |  | ) | const

inline

Definition at line 71 of file shapeMixture.hpp.

References shapeMixture::shapeMixture().

Here is the call graph for this function:

## getNextShapeName()

pFlow::word getNextShapeName | ( |  | ) |

Definition at line 37 of file shapeMixture.cpp.

References shapeMixture::current_, pFlow::fill(), ForAll, shapeMixture::names_, shapeMixture::number_, and shapeMixture::numberInserted_.

Here is the call graph for this function:

## getNextShapeNameN()

void getNextShapeNameN | ( | size_t | n,
|  | wordVector & | names
| ) |  |

Definition at line 55 of file shapeMixture.cpp.

References Vector< T, Allocator >::clear(), and n.

Here is the call graph for this function:

## size()

auto size | ( |  | ) | const

inline

Definition at line 87 of file shapeMixture.hpp.

References shapeMixture::names_, and Vector< T, Allocator >::size().

Here is the call graph for this function:

## totalInserted()

auto totalInserted | ( |  | ) | const

inline

Definition at line 91 of file shapeMixture.hpp.

References shapeMixture::numberInserted_, and pFlow::sum().

Here is the call graph for this function:

## read()

bool read | ( | const dictionary & | dict | ) |

Definition at line 69 of file shapeMixture.cpp.

References dictionary::dataEntryKeywords(), pFlow::endl(), fatalErrorInFunction, ForAll, dictionary::getVal(), and dictionary::globalName().

Here is the call graph for this function:

## write()

bool write | ( | dictionary & | dict | ) | const

Definition at line 128 of file shapeMixture.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, ForAll, and dictionary::globalName().

Here is the call graph for this function:

## Member Data Documentation

## names_

wordVector names_

protected

Definition at line 37 of file shapeMixture.hpp.

Referenced by shapeMixture::getNextShapeName(), and shapeMixture::size().

## number_

uint32Vector number_

protected

Definition at line 40 of file shapeMixture.hpp.

Referenced by shapeMixture::getNextShapeName().

## numberInserted_

uint32Vector numberInserted_

protected

Definition at line 43 of file shapeMixture.hpp.

Referenced by shapeMixture::getNextShapeName(), and shapeMixture::totalInserted().

## current_

uint32Vector current_

protected

Definition at line 45 of file shapeMixture.hpp.

Referenced by shapeMixture::getNextShapeName().

The documentation for this class was generated from the following files:

- src/Particles/Insertion/shapeMixture/shapeMixture.hpp
- src/Particles/Insertion/shapeMixture/shapeMixture.cpp